select 	ss.username||'('||se.sid||') ' "User Process",
	sum(decode(name,'table scans (short tables)',value)) "Short Scans",
	sum(decode(name,'table scans (long tables)', value)) "Long Scans",
	sum(decode(name,'table scan rows gotten',value)) "Rows Retreived",
round((sum(decode(name,'table scan rows gotten',value)) - (sum(decode(name,'table scans (short tables)',value)) * 5)) / (sum(decode(name,'table scans (long tables)', value))),2) "Long Scans Length"
from 	v$session ss,
	v$sesstat se,
	v$statname sn
where  	se.statistic# = sn.statistic#
and    	(name  like '%table scans (short tables)%'
or 	 name  like '%table scans (long tables)%'
or 	 name  like '%table scan rows gotten%')
and 	se.sid = ss.sid
and 	ss.username is not null
group	by ss.username||'('||se.sid||') '
having sum(decode(name,'table scans (long tables)', value)) != 0
order by 3 desc
